package cn.com.qmth.stmms.ms.commons.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 打分配置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/11/20
 */
@Component
@ConfigurationProperties(prefix = "score.level", ignoreUnknownFields = false)
public class ScoreConfig {

    private boolean enable;//打分阶段配置是否启用

    private List<String> exclude;//打分阶段配置过滤档位(可选一个或多个档位，多个档位用","号隔开)

    private String taskSort;//打分阶段配置档位排序规则(可选random/paper)

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public List<String> getExclude() {
        return exclude;
    }

    public void setExclude(List<String> exclude) {
        this.exclude = exclude;
    }

    public String getTaskSort() {
        return taskSort;
    }

    public void setTaskSort(String taskSort) {
        this.taskSort = taskSort;
    }
}
